gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecDouble

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for double properties.

Synopsis

- newtype ParamSpecDouble = ParamSpecDouble (ManagedPtr ParamSpecDouble)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecDouble o) => IsParamSpecDouble o
- toParamSpecDouble :: (MonadIO m, IsParamSpecDouble o) => o -> m ParamSpecDouble

# Exported types

newtype ParamSpecDouble Source #

Memory-managed wrapper type.

Constructors

ParamSpecDouble (ManagedPtr ParamSpecDouble) |

#### Instances

Instances details

Eq ParamSpecDouble Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecDouble Methods (==) :: ParamSpecDouble -> ParamSpecDouble -> Bool Source # (/=) :: ParamSpecDouble -> ParamSpecDouble -> Bool Source #
BoxedPtr ParamSpecDouble Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecDouble Methods boxedPtrCopy :: ParamSpecDouble -> IO ParamSpecDouble Source # boxedPtrFree :: ParamSpecDouble -> IO () Source #
ManagedPtrNewtype ParamSpecDouble Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecDouble Methods toManagedPtr :: ParamSpecDouble -> ManagedPtr ParamSpecDouble Source #
TypedObject ParamSpecDouble Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecDouble Methods glibType :: IO GType Source #
HasParentTypes ParamSpecDouble Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecDouble
type ParentTypes ParamSpecDouble Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecDouble type ParentTypes ParamSpecDouble = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecDouble o) => IsParamSpecDouble o Source #

Type class for types which can be safely cast to `ParamSpecDouble`, for instance with `toParamSpecDouble`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecDouble o) => IsParamSpecDouble o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecDouble

toParamSpecDouble :: (MonadIO m, IsParamSpecDouble o) => o -> m ParamSpecDouble Source #

Cast to `ParamSpecDouble`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.